# Seq66 0.94.1 (and above) user ('usr') configuration file
#
# /home/ahlstrom/.config/seq66/sample.usr
# Written 2026-02-16 08:00:00
#
# This is a Seq66 'usr' file. Edit it and place it in the
# $HOME/.config/seq66 directory. Enable it in the 'rc' file.
# It allows one to apply an alias (alternate name) to each MIDI bus, MIDI
# channel, and MIDI control control code, per channel. It has additional
# options not present in in Seq24, and supports DOS INI-style variable
# setting.

[Seq66]

config-type = "usr"
version = 5

# The [comments] section lets one document this file.  Lines starting
# with '#' and '[', or that are empty end the comment.

[comments]

This file is a sample showing how to define a set of MIDI instruments
and the names of the MIDI control values (CC's) that are defined for that
instrument.
 
Use this sample only as a guide.
  
This sample is adapted from:
 
    https://github.com/vext01/seq24/blob/master/seq24usr.example
 
  1. Define your instruments and their control-code names,
     if they have them.
  2. Define a MIDI bus, its name, and what instruments are
     on which channel.
 
  In the following MIDI buss definitions, channels are counted
  from 0 to 15, not 1 to 16.  Instruments not set here are set to
  -1 (SEQ66_GM_INSTRUMENT_FLAG) and are GM (General MIDI).
  These replacement MIDI buss labels are shown in MIDI Clocks,
  MIDI Inputs, and in the Pattern Editor buss drop-down.
 
  To temporarily disable the entries, set the count values to 0.
 
  The following 9 instruments are defined in this sample file:
 
    0 = Waldorf Micro Q (128 CCs defined)
    1 = SuperNova (128 CCs defined)
    2 = DrumStation (92 CCs defined)
    3 = TX81Z (5 CCs defined)
    4 = WaveStation (4 CCs defined)
    5 = ESI-2000 (4 CCs defined)
    6 = ES-1 (4 CCs defined)
    7 = ER-1 (4 CCs defined)
    8 = TB-303 (4 CCs defined)
 
  The first bus is "2x2 A (SuperNova/Q/TX81Z/DrumStation)" with the following
  instruments defined for each set of channels:
 
    Channels 0-7 = Instrument 1
    Channels 8-10 = Instrument 3
    Channels 11-14 = Instrument 0
    Channel 15 = Instrument 2
 
  The second bus is "2x2 B (WaveStation,ESI-2000,MV4,ES-1,ER-1)":
 
    Channels 0-3 = Instrument 4
    Channels 4-13 = Instrument 5
    Channels 14 = Instrument 6
    Channel 15 = Instrument 7
 
  The third bus is "PCR-30 (303)":
 
    Channels 0 = Instrument 8
 
  The first column is the channel number for this buss.
  The second column is the instrument number, which specifies the desired
  "[user-instrument-M]" section, where M ranges from 0 to one less than the
  number of configured instruments.  If the instrument number is -1, then the
  instrument uses the GM instrument settings.

# [user-midi-bus-definitions]
#
# 1. Define your instruments and their control-code names, if they
#    have them.
# 2. Define a MIDI bus, its name, and what instruments are on which
#    channel.
#
# In the following MIDI buss definitions, channels are counted from
# 0 to 15, not 1 to 16.  Instruments not set here are set to -1 and
# are GM (General MIDI). These replacement MIDI buss labels are shown
# in MIDI Clocks, MIDI Inputs, and in the Pattern Editor buss and
# channel drop-downs. To disable the entries, set the counts to 0.

[user-midi-bus-definitions]

3     # number of user-defined MIDI busses

[user-midi-bus-0]

# Device/bus name.  For the three MIDI busses, it's name appears
# in (1) the main window's output-buss dropdown; (2) the right-click
# "Output bus" menu entry; (3) the output-bus drop-down in the
# pattern editor, and in the MIDI Clock tab of the Preferences
# dialog. These names override the actual port name of the device,
# if available. If port-mapping is active the shorter port-mapping
# names are shown.

"2x2 A (SuperNova/Q/TX81Z/DrumStation)"

16      # number of instrument settings

# Channel, instrument number, and instrument names.
# This list of names appears in the MIDI channel drop-down in the
# pattern editor.

 0 1 "SuperNova"
 1 1 "SuperNova"
 2 1 "SuperNova"
 3 1 "SuperNova"
 4 1 "SuperNova"
 5 1 "SuperNova"
 6 1 "SuperNova"
 7 1 "SuperNova"
 8 3 "TX81Z"
 9 3 "TX81Z"
10 3 "TX81Z"
11 0 "Waldorf Micro Q"
12 0 "Waldorf Micro Q"
13 0 "Waldorf Micro Q"
14 0 "Waldorf Micro Q"
15 2 "DrumStation"

[user-midi-bus-1]

# Device/bus name

"2x2 B (WaveStation,ESI-2000,MV4,ES-1,ER-1)"

16      # number of instrument settings

# Channel, instrument number, and instrument names

 0 4 "WaveStation"
 1 4 "WaveStation"
 2 4 "WaveStation"
 3 4 "WaveStation"
 4 5 "ESI-2000"
 5 5 "ESI-2000"
 6 5 "ESI-2000"
 7 5 "ESI-2000"
 8 5 "ESI-2000"
 9 5 "ESI-2000"
10 5 "ESI-2000"
11 5 "ESI-2000"
12 5 "ESI-2000"
13 5 "ESI-2000"
14 6 "ES-1"
15 7 "ER-1"

[user-midi-bus-2]

# Device/bus name

"PCR-30 (303)"

1      # number of instrument settings

# Channel, instrument number, and instrument names

 0 8 "TB-303"

# In the following MIDI instrument definitions, active controller
# numbers (i.e. supported by the instrument) are paired with
# the (optional) name of the controller supported.

[user-instrument-definitions]

9     # instrument list count

[user-instrument-0]

# Name of instrument. For each instrument, the controller numbers
# and the actual name (i.e. function) are specified. When a given
# user-midi-bus is selected, its controller names appear in the
# "Event" drop-down's Controllers sections.

"Waldorf Micro Q"

128    # number of MIDI controller number & name pairs
0 ""
1 "WMQ Modulation Wheel"
2 "WMQ Breath Control"
3 ""
4 "WMQ Foot Control"
5 "WMQ Glide Rate"
6 ""
7 "WMQ Channel Volume"
8 ""
9 ""
10 "WMQ Pan"
11 ""
12 "WMQ Arp Range (0-9) (1-10 octaves)"
13 "WMQ Arp Length (0-15) (1-16 steps)"
14 "WMQ Arp Active (0-3) (Off,On,One Shot,Hold)"
15 "WMQ LFO 1 Shape (0-5) (Sine,Tri,Square,Saw,Rand,S&H)"
16 "WMQ LFO 1 Speed (0-127) (256 Bars-1/96)"
17 "WMQ LFO 1 Sync (0-1) (Off,On)"
18 "WMQ LFO 1 Delay"
19 "WMQ LFO 2 Shape (0-5) (Sine,Tri,Square,Saw,Rand,S&H)"
20 "WMQ LFO 2 Speed (0-127) (256 Bars-1/96)"
21 "WMQ LFO 2 Sync (0-1) (Off,On)"
22 "WMQ LFO 2 Delay"
23 "WMQ LFO 3 Shape (0-5) (Sine,Tri,Square,Saw,Rand,S&H)"
24 "WMQ LFO 3 Speed (0-127) (256 Bars-1/96)"
25 "WMQ LFO 3 Sync (0-1) (Off,On)"
26 "WMQ LFO 3 Delay"
27 "WMQ Osc 1 Octave (16,28,40-112) (128'-1/2')"
28 "WMQ Osc 1 Semitone (52-76) (-12-+12)"
29 "WMQ Osc 1 Detune (0-127) (-64-63)"
30 "WMQ Osc 1 FM"
31 "WMQ Osc 1 Shape (0-5) (Pulse,Saw,Tri,Sine,Alt 1,Alt 2)"
32 "WMQ Bank Select LSB (0-3) (Bank A-D)"
33 "WMQ Osc 1 PW"
34 "WMQ Osc 1 PWM (0-127) (-64-63)"
35 "WMQ Osc 2 Octave (16,28,40-112) (128'-1/2')"
36 "WMQ Osc 2 Semitone (52-76) (-12-+12)"
37 "WMQ Osc 2 Detune (0-127) (-64-63)"
38 "WMQ Osc 2 FM"
39 "WMQ Osc 2 Shape (0-5) (Pulse,Saw,Tri,Sine,Alt 1,Alt 2)"
40 "WMQ Osc 2 PW"
41 "WMQ Osc 2 PWM (0-127) (-64-63)"
42 "WMQ Osc 3 Octave (16,28,40-112) (128'-1/2')"
43 "WMQ Osc 3 Semitone (52-76) (-12-+12)"
44 "WMQ Osc 3 Detune (0-127) (-64-63)"
45 "WMQ Osc 3 FM"
46 "WMQ Osc 3 Shape (0-5) (Pulse,Saw,Tri,Sine,Alt 1,Alt 2)"
47 "WMQ Osc 3 PW"
48 "WMQ Osc 3 PWM (0-127) (-64-63)"
49 "WMQ Sync (0-1) (Off,On)"
50 "WMQ Pitchmod (0-127) (-64-63)"
51 "WMQ Glide Mode (0-9)"
52 "WMQ Osc 1 Level"
53 "WMQ Osc 1 Balance (0-127) (F1-mid-F2)"
54 "WMQ Ringmod Level"
55 "WMQ Ringmod Balance (0-127) (F1-mid-F2)"
56 "WMQ Osc 2 Level"
57 "WMQ Osc 2 Balance (0-127) (F1-mid-F2)"
58 "WMQ Osc 3 Level"
59 "WMQ Osc 3 Balance (0-127) (F1-mid-F2)"
60 "WMQ Noise/External Level"
61 "WMQ Noise/External Balance (0-127) (F1-mid-F2)"
62 ""
63 ""
64 "WMQ Sustain Pedal"
65 "WMQ Glide Active (0-1) (Off,On)"
66 "WMQ Sostenuto (0-1) (Off,On)"
67 "WMQ Routing (0-1) (Serial,Parallel)"
68 "WMQ Filter 1 Type (0-10)"
69 "WMQ Filter 1 Cutoff"
70 "WMQ Filter 1 Resonance"
71 "WMQ Filter 1 Drive"
72 "WMQ Filter 1 Keytrack (0-127) (-200-197)"
73 "WMQ Filter 1 Env Amount (0-127) (-64-63)"
74 "WMQ Filter 1 Env Velocity (0-127) (-64-63)"
75 "WMQ Filter 1 Cutoff Mod (0-127) (-64-63)"
76 "WMQ Filter 1 FM (0-127) (Off,1-127)"
77 "WMQ Filter 1 Pan (0-127) (L-mid-R)"
78 "WMQ Filter 1 Pan Mod (0-127) (-64-63)"
79 "WMQ Filter 2 Type (0-10)"
80 "WMQ Filter 2 Cutoff"
81 "WMQ Filter 2 Resonance"
82 "WMQ Filter 2 Drive"
83 "WMQ Filter 2 Keytrack (0-127) (-200-197)"
84 "WMQ Filter 2 Env Amount (0-127) (-64-63)"
85 "WMQ Filter 2 Env Velocity (0-127) (-64-63)"
86 "WMQ Filter 2 Cutoff Mod (0-127) (-64-63)"
87 "WMQ Filter 2 FM (0-127) (Off,1-127)"
88 "WMQ Filter 2 Pan (0-127) (L-mid-R)"
89 "WMQ Filter 2 Pan Mod (0-127) (-64-63)"
90 "WMQ Amp Volume"
91 "WMQ Amp Velocity (0-127) (-64-63)"
92 "WMQ Amp Mod (0-127) (-64-63)"
93 "WMQ FX 1 Mix"
94 "WMQ FX 2 Mix"
95 "WMQ Filter Env Attack"
96 "WMQ Filter Env Decay"
97 "WMQ Filter Env Sustain"
98 "WMQ Filter Env Decay 2"
99 "WMQ Filter Env Sustain 2"
100 "WMQ Filter Env Release"
101 "WMQ Amp Env Attack"
102 "WMQ Amp Env Decay"
103 "WMQ Amp Env Sustain"
104 "WMQ Amp Env Decay 2"
105 "WMQ Amp Env Sustain 2"
106 "WMQ Amp Env Release"
107 "WMQ Env 3 Attack"
108 "WMQ Env 3 Decay"
109 "WMQ Env 3 Sustain"
110 "WMQ Env 3 Decay 2"
111 "WMQ Env 3 Sustain 2"
112 "WMQ Env 3 Release"
113 "WMQ Env 4 Attack"
114 "WMQ Env 4 Decay"
115 "WMQ Env 4 Sustain"
116 "WMQ Env 4 Decay 2"
117 "WMQ Env 4 Sustain 2"
118 "WMQ Env 4 Release"
119 ""
120 "WMQ All Sound Off (0)"
121 "WMQ Reset All Controllers (0)"
122 "WMQ Local Control (0-127) (Off,On)"
123 "WMQ All Notes Off (0)"
124 ""
125 ""
126 ""
127 ""

[user-instrument-1]

# Name of instrument

"SuperNova"

128    # number of MIDI controller number & name pairs
0 "SN Bank Select MSB"
1 "SN Modulation Wheel"
2 "SN Breath Controller"
3 "SN Arp Pattern Select"
4 "SN Ring Modulator 2 * 3 Mix Level"
5 "SN Portamento Time"
6 "SN Data Entry"
7 "SN Part / Program Volume"
8 "SN Effects Confg Morph Amount"
9 "SN Arp Speed (Internal Clock Rate) [*]"
10 "SN Pan"
11 "SN Osc 1 Fine Tune"
12 "SN Osc 3 Fine Tune"
13 "SN Osc 1 Soften"
14 "SN Osc 2 Soften"
15 "SN Osc 3 Soften"
16 "SN LFO 1 Speed"
17 "SN LFO 1 Delay"
18 "SN LFO 2 Speed"
19 "SN LFO 2 Delay"
20 "SN Osc 1 Pitch Env 2"
21 "SN Osc 1 Pitch LFO 1"
22 "SN Osc 1 Pulse Width"
23 "SN Osc 2 Fine Tune"
24 "SN Noise Soften"
25 "SN Osc 2 Pitch Env 2"
26 "SN Osc 2 Pitch LFO 1"
27 "SN Osc 2 Pulse Width"
28 "SN Osc 1 Mix Level"
29 "SN Osc 2 Mix Level"
30 "SN Noise Mix Level"
31 "SN Ring Modulator 1 * 3 Mix Level"
32 "SN Bank Select LSB"
33 "SN Osc 3 Mix Level"
34 "SN Filter Tracking"
35 "SN Filter Freq LFO 2"
36 "SN Osc 1 Mix Env 2"
37 "SN Osc 2 Mix Env 2"
38 "SN Osc 3 Mix Env 2"
39 "SN Noise Mix Env 2"
40 "SN Osc 3 Pitch Env 2"
41 "SN Osc 3 Pitch LFO 1"
42 "SN Osc 3 Pulse Width"
43 "SN Osc 1 Width Env 2"
44 "SN Osc 2 Width Env 2"
45 "SN Osc 3 Width Env 2"
46 "SN Osc 1 Width LFO 1"
47 "SN Osc 2 Width LFO 1"
48 "SN Osc 3 Width LFO 1"
49 "SN Osc 1 Sync"
50 "SN Osc 2 Sync"
51 "SN Osc 3 Sync"
52 "SN Osc 1 Sync Env 2"
53 "SN Osc 2 Sync Env 2"
54 "SN Osc 3 Sync Env 2"
55 "SN Osc 1 Sync LFO 1"
56 "SN Osc 2 Sync LFO 1"
57 "SN Osc 3 Sync LFO 1"
58 "SN Distortion Mod Wheel Depth"
59 "SN Filter Freq Env 3"
60 "SN Filter Freq LFO 1"
61 "SN Osc 1 Soften Env 2"
62 "SN Osc 2 Soften Env 2"
63 "SN Osc 3 Soften Env 2"
64 "SN Sustain / Arp Latch"
65 "SN Arp Latch"
66 "SN Osc 1 Pitch Env 3"
67 "SN Osc 2 Pitch Env 3"
68 "SN Osc 3 Pitch Env 3"
69 "SN Osc 1 Width LFO 2"
70 "SN Osc 2 Width LFO 2"
71 "SN Osc 3 Width LFO 2"
72 "SN Filter Res Env 2"
73 "SN Filter Res LFO 1"
74 "SN Env 3 Delay"
75 "SN Env 3 Attack"
76 "SN Env 3 Decay"
77 "SN Env 3 Sustain"
78 "SN Env 3 Release"
79 "SN Env 3 Velocity"
80 "SN LFO 1 Speed Env 3"
81 "SN LFO 2 Speed Env 3"
82 "SN LFO 1 Offset"
83 "SN LFO 2 Offset"
84 "SN Reverb Mod Wheel Depth"
85 "SN Filter Res Env 3"
86 "SN Filter Res LFO 2"
87 "SN Chorus Speed"
88 "SN Chorus Mod Depth"
89 "SN Chorus Feedback"
90 "SN Distortion Level"
91 "SN Reverb Send Level"
92 "SN Delay Send Level"
93 "SN Chorus Send Level"
94 "SN Chorus Mod Wheel Depth"
95 "SN Reverb Decay"
96 "SN Reverb HF Damp"
97 "SN Master Volume Level [*]"
98 "SN NRPN Select LSB"
99 "SN NRPN Select MSB"
100 "SN Reverb Type / Early Ref Level [**]"
101 "SN Delay Time"
102 "SN Delay Feedback"
103 "SN Delay HF Damp"
104 "SN Filter Overdrive"
105 "SN Filter Cutoff Freq"
106 "SN Filter Resonance"
107 "SN Filter Freq Env 2"
108 "SN Env 1 Attack"
109 "SN Env 1 Decay"
110 "SN Env 1 Sustain"
111 "SN Env 1 Release"
112 "SN Env 1 Velocity"
113 "SN Env 2 Delay"
114 "SN Env 2 Attack"
115 "SN Env 2 Decay"
116 "SN Env 2 Sustain"
117 "SN Env 2 Release"
118 "SN Env 2 Velocity"
119 "SN Delay Mod Wheel Depth"
120 "SN All Sound Off"
121 "SN Reset Controllers"
122 "SN Local Control [*]"
123 "SN All Notes Off"
124 "SN All Notes Off"
125 "SN All Notes Off"
126 "SN All Notes Off"
127 "SN All Notes Off"

[user-instrument-2]

# Name of instrument

"DrumStation"

92    # number of MIDI controller number & name pairs
20 "808 Bass Drum Front cut"
21 "808 Bass Drum Pan"
22 "808 Bass Drum Distortion"
23 "808 Bass Drum Tune"
24 "808 Bass Drum Tone"
25 "808 Bass Drum Decay"
26 "808 Snare Drum Front cut"
27 "808 Snare Drum Pan"
28 "808 Snare Drum Distortion"
29 "808 Snare Drum Tune"
30 "808 Snare Drum Tone"
31 "808 Snare Drum Snappy"
32 "808 Low Tom Front cut"
33 "808 Low Tom Pan"
34 "808 Low Tom Distortion"
35 "808 Low Tom Tune"
36 "808 Low Tom Decay"
37 "808 Mid Tom Front cut"
38 "808 Mid Tom Pan"
43 "808 Mid Tom Pan"
44 "808 Mid Tom Distortion"
45 "808 Mid Tom Tune"
46 "808 Mid Tom Decay"
47 "808 Rim Shot Pan"
48 "808 Rim Shot Tune"
49 "808 Hand Clap Pan"
50 "808 Hand Clap Tune"
51 "808 Cowbell Pan"
52 "808 Cowbell Distortion"
53 "808 Cowbell Tune"
54 "808 Closed HiHat Pan"
55 "808 Closed HiHat Tune"
56 "808 Closed HiHat Decay"
57 "808 Open HiHat Pan"
58 "808 Open HiHat Tune"
59 "808 Open HiHat Decay"
60 "808 Crash Cymbal Pan"
65 "808 Crash Cymbal Tune"
66 "808 Mid Conga Pan"
67 "808 Mid Conga Distortion"
68 "808 Mid Conga Tune"
69 "808 High Conga Pan"
70 "808 High Conga Distortion"
71 "808 High Conga Tune"
72 "808 Maracas Pan"
73 "808 Maracas Tune"
74 "808 Claves Pan"
75 "808 Claves Tune"
76 "909 Bass Drum Tune"
77 "909 Bass Drum Attack"
78 "909 Bass Drum Decay"
79 "909 Snare Drum Tune"
80 "909 Snare Drum Tone"
81 "909 Snare Drum Snappy"
82 "909 Low Tom Front cut"
83 "909 Low Tom Pan"
84 "909 Low Tom Distortion"
85 "909 Low Tom Tune"
86 "909 Low Tom Decay"
87 "909 Mid Tom Front cut"
88 "909 Mid Tom Pan"
89 "909 Mid Tom Distortion"
90 "909 Mid Tom Tune"
91 "909 Mid Tom Decay"
92 "909 High Tom Front cut"
93 "909 High Tom Pan"
94 "909 High Tom Distortion"
95 "909 High Tom Tune"
96 "909 High Tom Decay"
97 "909 Rim Shot Pan"
98 "909 Rim Shot Tune"
99 "909 Rim Shot Hand Clap Pan"
100 "909 Rim Shot Tune"
101 "909 Closed HiHat Distortion"
102 "909 Closed HiHat Tune"
103 "909 Closed HiHat Decay"
104 "909 Open HiHat Tune"
105 "909 Bass Drum Front cut"
106 "909 Bass Drum Pan"
107 "909 Bass Drum Distortion"
108 "909 Snare Drum Front cut"
109 "909 Snare Drum Pan"
110 "909 Snare Drum Distortion"
111 "909 Closed HiHat Pan"
112 "909 Open HiHat Pan"
113 "909 Open HiHat Decay"
114 "909 Crash Cymbal Pan"
115 "909 Crash Cymbal Tune"
116 "909 Crash Cymbal Decay"
117 "909 Ride Cymbal Pan"
118 "909 Ride Cymbal Tune"
119 "909 Ride Cymbal Decay"

[user-instrument-3]

# Name of instrument

"TX81Z"

4    # number of MIDI controller number & name pairs
0 "TX81Z CC 0"
1 "TX81Z CC 1"
2 "TX81Z CC 2"
3 "TX81Z CC 3"

[user-instrument-4]

# Name of instrument

"WaveStation"

4    # number of MIDI controller number & name pairs
0 "WaveStation CC 0"
1 "WaveStation CC 1"
2 "WaveStation CC 2"
3 "WaveStation CC 3"

[user-instrument-5]

# Name of instrument

"ESI-2000"

4    # number of MIDI controller number & name pairs
0 "ESI-2000 CC 0"
1 "ESI-2000 CC 1"
2 "ESI-2000 CC 2"
3 "ESI-2000 CC 3"

[user-instrument-6]

# Name of instrument

"ES-1"

4    # number of MIDI controller number & name pairs
0 "ES-1 CC 0"
1 "ES-1 CC 1"
2 "ES-1 CC 2"
3 "ES-1 CC 3"

[user-instrument-7]

# Name of instrument

"ER-1"

4    # number of MIDI controller number & name pairs
0 "ER-1 CC 0"
1 "ER-1 CC 1"
2 "ER-1 CC 2"
3 "ER-1 CC 3"

[user-instrument-8]

# Name of instrument

"TB-303"

4    # number of MIDI controller number & name pairs
0 "TB-303 CC 0"
1 "TB-303 CC 1"
2 "TB-303 CC 2"
3 "TB-303 CC 3"

# [user-interface-settings]
#
# Specifies the configuration of some user-interface elements.  Many
# items were rendered obsolete and removed in version 5 of this file.
# The main grid-style is now Qt buttons. To use a flat style, use
# Qt themes/style-sheets.
#
# 'mainwnd-rows' and 'mainwnd-columns' (option '-o sets=RxC') specify
# rows/columns in the main grid. R ranges from 4 to 8, C from 8 to 12.
# Values other than 4x8 have not been tested, use at your own risk.
#
# 'mainwnd-spacing' specifies spacing in the main window. It ranges
# from 2 (default) to 16.
#
# 'default-zoom' specifies initial zoom for the piano rolls. Ranges
# from 1 to 512; defaults to 2. Larger PPQNs require larger zoom to
# look good in the editors.  Seq66 adapts the zoom to the PPQN
# if 'default-zoom' zoom is set to 0. The unit of zoon is ticks/pixel.
#
# 'global-seq-feature' specifies if the key, scale, and background
# pattern are to be applied globally to all patterns, or separately
# to each. These three values are stored in the MIDI file, either in
# the global SeqSpec section, or in each track.
#
#   false: Each pattern has its own key/scale/background.
#   true:  Apply these settings globally to all patterns.
#
# 'progress-bar-thick specifies a thicker progress bar.  Default is 1
# pixel; thick is 2 pixels. Set it to true to enable the feature
#
# 'inverse-colors' (option -K/--inverse) specifies use of an inverse
# color palette. Palettes are for Seq66 drawing areas, not for the
# Qt theme. Normal/inverse palettes are changed via a 'palette' file.
#
# 'window-redraw-rate' specifies the base window redraw rate for all
# windows. The default is 40 ms (25 ms for Windows).
#
# Window-scale (option '-o scale=m.n[xp.q]') specifies scaling the
# main window at startup. Defaults to 1.0 x 1.0. If between 0.8 and
# 3.0, it changes the size of the main window proportionately. If the
# y-value is 0, the first value applies to both dimensions.

[user-interface-settings]

swap-coordinates = false
mainwnd-rows = 4
mainwnd-columns = 8
mainwnd-spacing = 2
default-zoom = 2
global-seq-feature = true
progress-bar-thick = true
progress-bar-thickness = 2
progress-box-elliptical = false
follow-progress = true
gridlines-thick = true
inverse-colors = false
time-fg-color = "default"
time-bg-color = "default"
dark-theme = true
window-redraw-rate = 40
window-scale = 1
window-scale-y = 1
enable-learn-confirmation = true

# [user-midi-ppqn]
#
# Seq66 separates the file PPQN from the Seq66 PPQN the user wants
# to use.
#
# 'default-ppqn' specifies the PPQN to use by default. The classic
# default is 192, but can range from 32 to 19200.
#
# 'use-file-ppqn' indicates to use the file PPQN. This is the best
# setting, to avoid changing the file's PPQN.

[user-midi-ppqn]

default-ppqn = 192
use-file-ppqn = true

# [user-midi-settings]
#
# These settings specify MIDI-specific values better off as variables,
# rather than constants. Values of -1 mean the value won't be used.
#
# 'beats-per-bar':      default = 4      range = 1 to 32.
# 'beats-per-minute':   default = 120.0  range = 2.0 to 600.0.
# 'beat-width':         default = 4      range = 1 to 32.
# 'buss-override':      default = -1     range = 0 to 48.
# 'velocity-override':  default = -1     range = 0 to 127.
# 'bpm-precision':      default = 0      range = 0 to 2.
# 'bpm-step-increment': default = 1.0    range = 0.01 to 25.0.
# 'bpm-page-increment': default = 1.0    range = 0.01 to 25.0.
# 'bpm-minimum':        default = 0.0    range = 127.0
# 'bpm-maximum':        default = 0.0    range = 127.0
#
# A buss-override from 0 to 48 overrides the busses for all patterns,
# for testing or convenience.  Do not save the MIDI file afterwards
# unless you want to overwrite all the buss values!
#
# The velocity override when adding notes in the pattern editor is set
# via the 'Vol' button.  -1 ('Free'), preserves incoming velocity.
#
# Precision of the BPM spinner and MIDI control of BPM is 0, 1, or 2.
# The step increment affects the beats/minute spinner and MIDI control
# of BPM.  For 1 decimal point, 0.1 is good.  For 2 decimal points,
# 0.01 is good, but one might want something faster, like 0.05.
# Set the page increment to a larger value than the step increment;
# it is used when the Page-Up/Page-Down keys are pressed when the BPM
# spinner has keyboard focus.
# The BPM-minimum and maximum set the range BPM in tempo graphing.
# By default, the tempo graph ranges from 0.0 to 127.0. This range
# decreased to give a magnified view of tempo.

[user-midi-settings]

beats-per-bar = 4
beats-per-minute = 120
beat-width = 4
buss-override = -1
velocity-override = -1
bpm-precision = 0
bpm-step-increment = 1
bpm-page-increment = 10
bpm-minimum = 0
bpm-maximum = 127

# [user-options]
#
# These settings specify values set via the -o or --option switch,
# which helps expand the number of options supported.
# The 'daemonize' option is used in seq66cli to indicate that the
# application should be gracefully run as a service.
# The 'log' value specifies a log-file that replaces output to
# standard output/error.  For no log-file, use "".  This option
# also works from the command line: '-o log=filename.log'. The name
# here is used for the no-name '-o log' option.

[user-options]

daemonize = false
log = ""
pdf-viewer = ""
browser = ""

# [user-ui-tweaks]
#
# key-height specifies the initial height (before vertical zoom) of pattern
# editor keys.  Defaults to 10 pixels, ranges from 6 to 32.
#
# key-view specifies the default for showing labels for each key:
# 'octave-letters' (default), 'even_letters', 'all-letters',
# 'even-numbers', and 'all-numbers'.
#
# note-resume causes notes-in-progress to resume when the pattern toggles on.
#
# Note that style-sheet specification has been moved to the 'rc' file with
# all the rest of the files.
#
# A fingerprint is a condensation of note events in a long track, to reduce
# the time drawing the pattern in the buttons. Ranges from 32 (default) to
# 128. 0 = don't use a fingerprint.
#
# progress-box-width and -height settings change the scaled size of the
# progress box in the live-grid buttons.  Width ranges from 0.50 to 1.0, and
# the height from 0.10 to 1.0.  If either is 'default', defaults (0.8 x 0.3)
# are used.  progress-box-shown controls if the boxes are shown at all.
# progress-box-show-cc enables displaying CC and pitchbend events (as dots).
#
# progress-note-min and progress-note-max set the progress-box note range so
# that notes aren't centered in the box, but shown at their position by pitch.
#
# lock-main-window prevents the accidental change of size of the main
# window.

[user-ui-tweaks]

key-height = 10
key-view = octave-letters
note-resume = false
fingerprint-size = 0
progress-box-width = 0
progress-box-height = 0
progress-box-shown = true
progress-box-show-cc = true
progress-note-min = 0
progress-note-max = 127
lock-main-window = false

# [user-session]
#
# This section specifies the session manager to use, if any. The
# 'session' variable can be set to 'none' (the default), 'nsm'
# (Non or New Session Manager), or 'lash' (LASH, not yet supported).
# 'url' can be set to the value of the NSM_URL environment variable
# set by nsmd when run outside of the Non Session Manager user-
# interface. Set the URL only if running nsmd standalone with a
# matching --osc-port number.

[user-session]

session = none
url = ""
visibility = true

# [pattern-editor]
#
# 'escape-pattern' allows the Esc key to close a pattern editor if not
# playing or in paint mode. (Esc exits paint mode or stops playback.)
#
# 'apply-to-new-only' makes the next options work only when opening a new
# pattern.  A new pattern is 'Untitled' and has no events.
#
# These settings for play/record for a pattern editor save time in live
# recording. Valid record-style values: 'merge' or 'overdub', 'overwrite',
# 'expand', and 'one-shot'. 'wrap-around' allows recorded notes to wrap
# to the pattern beginning. Currently 'notemap' and quantizing are
# are mutually exclusive.

[pattern-editor]

escape-pattern = true
apply-to-new-only = false
armed = false
thru = false
record = false
tighten = false
qrecord = false
notemap = false
record-style = merge
wrap-around = false

# End of /home/ahlstrom/.config/seq66/sample.usr
#
# vim: sw=4 ts=4 wm=4 et ft=dosini
